# Retrieve a specific order

Retrieves details for single order.

Endpoint: GET /{partner}/v2/orders/{orderId}
Version: v2
Security: sec0

## Path parameters:

  - `partner` (string, required)
    This is the partner code provided to you during onboarding. e.g. metamask.

  - `orderId` (string, required)
    The Banxa Order ID to be retrieved.

## Header parameters:

  - `Accept` (string)

  - `x-api-key` (string)
    This is the API Key that has been provided to you during onboarding.

## Response 200:

  - `200` (unknown)
    Order details.

## Response 200 fields (application/json):

  - `createdAt` (string)
    Example: 2022-08-22T09:10:43.724Z

  - `updatedAt` (string)
    Example: 2022-08-22T09:13:56.165Z

  - `id` (string)
    Example: 191fa5b4b1f45e1cf784422e09317d56

  - `externalId` (string)
    Example: a4b427ccb872a1744b317456bd0d165f

  - `externalCustomerId` (string)
    Example: testing123

  - `country` (string)
    Example: US

  - `orderStatusUrl` (string)
    Example: https://banxa.status/a4b427ccb872a1744b317456bd0d165f

  - `orderType` (string)
    Example: BUY

  - `crypto` (object)

  - `crypto.id` (string)
    Example: USDC

  - `crypto.blockchain` (string)
    Example: TRON

  - `crypto.address` (string)
    Example: 0x0000000000000000000000000000000000000000

  - `crypto.network` (string)
    Example: 1

  - `fiat` (string)
    Example: CAD

  - `fiatAmount` (string)
    Example: 1000.00

  - `cryptoAmount` (string)
    Example: 696.63

  - `paymentMethodId` (string)
    Example: apple-pay

  - `paymentMethodName` (string)
    Example: Apple Pay

  - `processingFee` (string)
    Example: 0.30

  - `networkFee` (string)
    Example: 1.67

  - `partnerFee` (string)
    Example: 0.03

  - `discount` (object)
    Present when a `discountCode` was applied to the order.

  - `discount.originalQuote` (object)

  - `discount.originalQuote.originalCryptoAmount` (string)
    Example: 0.235214

  - `discount.originalQuote.orginalNetworkFee` (string)
    Example: 0.00

  - `discount.originalQuote.originalProcessingFee` (string)
    Example: 0.00

  - `discount.originalQuote.originalFiatAmount` (string)
    Example: 500.00

  - `discount.discountCode` (string)
    Example: XMAS

  - `transactionHash` (string)
    Example: 0x5ea06c4724e8119704a1b57c918acf31742eb06cdf3f8678fdb17f41bbaf968e

  - `walletAddress` (string)
    Example: 0x75b8d4d81377d4b0f11798779563462264914a24

  - `walletAddressTag` (string)
    Example: 1651352

  - `status` (string)
    Order status. See [Order statuses](/products/hosted-checkout/docs/transaction-lifecycle/order-statuses).
    Example: complete

  - `metadata` (string)
    Example: {'tracking_id': 'HSKJDGHKSJG0393LJKJF'}

## Response 200 examples:

  - `Result` (unknown)

  - `With Discount Code` (unknown)

